package cn.com.tenlion.systembase.pojo.vos.homicide;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: HomicideVO
 * @Description: 命案基本信息
 * @Author: CodeFactory
 * @Date: 2021-10-19 10:20:09
 * @Version: 3.0
 **/
@ApiModel
public class HomicideVO {

    @ApiModelProperty(name = "homicideName", value = "案件名称")
    private String homicideName;
    @ApiModelProperty(name = "homicideCode", value = "案件编号")
    private String homicideCode;
    @ApiModelProperty(name = "homicideStartTime", value = "案件发生开始日期")
    @CheckEmptyAnnotation(name = "案件发生开始日期", verifyType = "date")
    private String homicideStartTime;
    @ApiModelProperty(name = "homicideEndTime", value = "侦察终结日期")
    @CheckEmptyAnnotation(name = "侦察终结日期", verifyType = "date")
    private String homicideEndTime;
    @ApiModelProperty(name = "briefInformation", value = "简要情况")
    private String briefInformation;
    @ApiModelProperty(name = "happenLocation", value = "发案地字典表ID")
    private String happenLocation;
    @ApiModelProperty(name = "happenLocationName", value = "发案地名称")
    private String happenLocationName;
    @ApiModelProperty(name = "happenLocationCode", value = "发案地编码")
    private String happenLocationCode;
    @ApiModelProperty(name = "happenAddress", value = "发生地点")
    private String happenAddress;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;

    public String getHomicideName() {
        return homicideName == null ? "" : homicideName.trim();
    }

    public void setHomicideName(String homicideName) {
        this.homicideName = homicideName;
    }

    public String getHomicideCode() {
        return homicideCode == null ? "" : homicideCode.trim();
    }

    public void setHomicideCode(String homicideCode) {
        this.homicideCode = homicideCode;
    }

    public String getHomicideStartTime() {
        return homicideStartTime == null ? "" : homicideStartTime.trim();
    }

    public void setHomicideStartTime(String homicideStartTime) {
        this.homicideStartTime = homicideStartTime;
    }

    public String getHomicideEndTime() {
        return homicideEndTime == null ? "" : homicideEndTime.trim();
    }

    public void setHomicideEndTime(String homicideEndTime) {
        this.homicideEndTime = homicideEndTime;
    }

    public String getBriefInformation() {
        return briefInformation == null ? "" : briefInformation.trim();
    }

    public void setBriefInformation(String briefInformation) {
        this.briefInformation = briefInformation;
    }

    public String getHappenLocation() {
        return happenLocation == null ? "" : happenLocation.trim();
    }

    public void setHappenLocation(String happenLocation) {
        this.happenLocation = happenLocation;
    }

    public String getHappenLocationName() {
        return happenLocationName == null ? "" : happenLocationName.trim();
    }

    public void setHappenLocationName(String happenLocationName) {
        this.happenLocationName = happenLocationName;
    }

    public String getHappenLocationCode() {
        return happenLocationCode == null ? "" : happenLocationCode.trim();
    }

    public void setHappenLocationCode(String happenLocationCode) {
        this.happenLocationCode = happenLocationCode;
    }

    public String getHappenAddress() {
        return happenAddress == null ? "" : happenAddress.trim();
    }

    public void setHappenAddress(String happenAddress) {
        this.happenAddress = happenAddress;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }
}
